searchNodes=[{"doc":"Membrane element that decodes video in H264 format. It is backed by decoder from FFmpeg.The element expects the data for each frame (Access Unit) to be received in a separate buffer, so the parser (Membrane.Element.FFmpeg.H264.Parser) may be required in a pipeline before decoder (e.g. when input is read from Membrane.Element.File.Source).Pads:inputAvailability:alwaysBin?falseCapsMembrane.Caps.Video.H264, restrictions:&lt;br /&gt;&amp;nbsp;&amp;nbsp;stream_format: :byte_stream,&lt;br /&gt;&amp;nbsp;&amp;nbsp;alignment: :auDemand&amp;nbsp;unit:buffersDirection:inputMode:pullName:input:outputAvailability:alwaysBin?falseCapsMembrane.Caps.Video.Raw, restrictions:&lt;br /&gt;&amp;nbsp;&amp;nbsp;format: one_of([:I420, :I422]),&lt;br /&gt;&amp;nbsp;&amp;nbsp;aligned: trueDirection:outputMode:pullName:output","ref":"Membrane.Element.FFmpeg.H264.Decoder.html","title":"Membrane.Element.FFmpeg.H264.Decoder","type":"module"},{"doc":"Returns pads descriptions for Membrane.Element.FFmpeg.H264.Decoder","ref":"Membrane.Element.FFmpeg.H264.Decoder.html#membrane_pads/0","title":"Membrane.Element.FFmpeg.H264.Decoder.membrane_pads/0","type":"function"},{"doc":"Membrane element that encodes raw video frames to H264 format.The element expects each frame to be received in a separate buffer, so the parser (Membrane.Element.RawVideo.Parser) may be required in a pipeline before the encoder (e.g. when input is read from Membrane.Element.File.Source).Additionaly, the encoder has to receive proper caps with picture format and dimensions before any encoding takes place.Please check t/0 for available options.Element optionsPassed via struct Membrane.Element.FFmpeg.H264.Encoder.t/0crfDefault value: 23 Constant rate factor that affects the quality of output stream. Value of 0 is lossless compression while 51 (for 8-bit samples) or 63 (10-bit) offers the worst quality. The range is exponential, so increasing the CRF value +6 results in roughly half the bitrate / file size, while -6 leads to roughly twice the bitrate.presetDefault value: :medium Collection of predefined options providing certain encoding. The slower the preset choosen, the higher compression for the same quality can be achieved.profileDefault value: :high Defines the features that will have to be supported by decoder to decode video encoded with this element.Pads:inputAvailability:alwaysBin?falseCapsMembrane.Caps.Video.Raw, restrictions:&lt;br /&gt;&amp;nbsp;&amp;nbsp;format: one_of([:I420, :I422]),&lt;br /&gt;&amp;nbsp;&amp;nbsp;aligned: trueDemand&amp;nbsp;unit:buffersDirection:inputMode:pullName:input:outputAvailability:alwaysBin?falseCapsMembrane.Caps.Video.H264, restrictions:&lt;br /&gt;&amp;nbsp;&amp;nbsp;stream_format: :byte_stream,&lt;br /&gt;&amp;nbsp;&amp;nbsp;alignment: :auDirection:outputMode:pullName:output","ref":"Membrane.Element.FFmpeg.H264.Encoder.html","title":"Membrane.Element.FFmpeg.H264.Encoder","type":"module"},{"doc":"Returns pads descriptions for Membrane.Element.FFmpeg.H264.Encoder","ref":"Membrane.Element.FFmpeg.H264.Encoder.html#membrane_pads/0","title":"Membrane.Element.FFmpeg.H264.Encoder.membrane_pads/0","type":"function"},{"doc":"Returns description of options available for this module","ref":"Membrane.Element.FFmpeg.H264.Encoder.html#options/0","title":"Membrane.Element.FFmpeg.H264.Encoder.options/0","type":"function"},{"doc":"","ref":"Membrane.Element.FFmpeg.H264.Encoder.html#t:presets/0","title":"Membrane.Element.FFmpeg.H264.Encoder.presets/0","type":"type"},{"doc":"Struct containing options for Membrane.Element.FFmpeg.H264.Encoder","ref":"Membrane.Element.FFmpeg.H264.Encoder.html#t:t/0","title":"Membrane.Element.FFmpeg.H264.Encoder.t/0","type":"type"},{"doc":"Membrane element providing parser for H264 encoded video stream. Uses the parser provided by FFmpeg.By default, this parser splits the stream into h264 access units, each of which is a sequence of NAL units corresponding to one video frame, and equips them with the following metadata entries under :h264 key:key_frame?: boolean - determines whether the frame is a h264 I frame.Setting custom packetization options affects metadata, see alignment and attach_nalus? options for details.Element optionsPassed via struct Membrane.Element.FFmpeg.H264.Parser.t/0framerateDefault value: {0, 1} Framerate of video stream, see Membrane.Caps.Video.H264.framerate_t/0spsDefault value: &quot;&quot; Sequence Parameter Set NAL unit - if absent in the stream, should be provided via this option.ppsDefault value: &quot;&quot; Picture Parameter Set NAL unit - if absent in the stream, should be provided via this option.alignmentDefault value: :au Stream units carried by each output buffer. See t:Membrane.Caps.Video.H264.alignment_t. If alignment is :nal, the following metadata entries are added:type - h264 nalu typenew_access_unit: access_unit_metadata - added whenever the new access unit starts. access_unit_metadata is the metadata that would be merged into the buffer metadata normally (if alignment was :au).attach_nalus?Default value: false Determines whether to attach NAL units list to the metadata when alignment option is set to :au. For details see Membrane.Caps.Video.H264.nalu_in_metadata_t/0.Pads:inputAvailability:alwaysBin?falseCaps:anyDemand&amp;nbsp;unit:buffersDirection:inputMode:pullName:input:outputAvailability:alwaysBin?falseCapsMembrane.Caps.Video.H264, restrictions:&lt;br /&gt;&amp;nbsp;&amp;nbsp;stream_format: :byte_streamDirection:outputMode:pullName:output","ref":"Membrane.Element.FFmpeg.H264.Parser.html","title":"Membrane.Element.FFmpeg.H264.Parser","type":"module"},{"doc":"Returns pads descriptions for Membrane.Element.FFmpeg.H264.Parser","ref":"Membrane.Element.FFmpeg.H264.Parser.html#membrane_pads/0","title":"Membrane.Element.FFmpeg.H264.Parser.membrane_pads/0","type":"function"},{"doc":"Returns description of options available for this module","ref":"Membrane.Element.FFmpeg.H264.Parser.html#options/0","title":"Membrane.Element.FFmpeg.H264.Parser.options/0","type":"function"},{"doc":"Struct containing options for Membrane.Element.FFmpeg.H264.Parser","ref":"Membrane.Element.FFmpeg.H264.Parser.html#t:t/0","title":"Membrane.Element.FFmpeg.H264.Parser.t/0","type":"type"},{"doc":"Membrane Multimedia Framework: FFmpeg H264 Element","ref":"readme.html","title":"Membrane Multimedia Framework: FFmpeg H264 Element","type":"extras"},{"doc":"Please use https://hexdocs.pm/membrane_h264_ffmpeg_plugin.This package provides Membrane Multimedia Framework elements that can be used to encode, parse and decode H264 video streams using ffmpeg and x264Documentation is available at HexDocs","ref":"readme.html#this-package-has-been-moved","title":"Membrane Multimedia Framework: FFmpeg H264 Element - THIS PACKAGE HAS BEEN MOVED","type":"extras"},{"doc":"Add the following line to your deps in mix.exs. Run mix deps.get.{:membrane_element_ffmpeg_h264, &quot;~&gt; 0.4.0&quot;}You also need to have ffmpeg libraries installed in your system.Ubuntusudo apt-get install libavcodec-dev libavformat-dev libavutil-devArch/Manjaropacman -S ffmpegMacOSbrew install ffmpeg","ref":"readme.html#installation","title":"Membrane Multimedia Framework: FFmpeg H264 Element - Installation","type":"extras"},{"doc":"Copyright 2018, Software Mansion","ref":"readme.html#copyright-and-license","title":"Membrane Multimedia Framework: FFmpeg H264 Element - Copyright and License","type":"extras"}]